# -*- encoding : utf-8 -*-
class CreateJobs < ActiveRecord::Migration
  def self.up
    create_table :jobs do |t|
      # If a group is deleted, its job descriptions should be deleted as well.
      t.references :group, foreign_key: { dependent: :delete }
      t.references :admission, foreign_key: { dependent: :delete }
      t.string :title_no
      t.string :title_en
      t.string :teaser_no
      t.string :teaser_en
      t.text :description_en
      t.text :description_no
      t.boolean :is_officer

      t.timestamps
    end
  end

  def self.down
    drop_table :jobs
  end
end
